Long Term Retention Managed Instance Backups - List By Instance
Lists the long term retention backups for a given managed instance.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/longTermRetentionManagedInstances/{managedInstanceName}/longTermRetentionManagedInstanceBackups?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/longTermRetentionManagedInstances/{managedInstanceName}/longTermRetentionManagedInstanceBackups?api-version=2025-01-01&onlyLatestPerDatabase={onlyLatestPerDatabase}&databaseState={databaseState}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
The location of the database |
|
managed
|
path | True |
string |
The name of the managed instance. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
database
|
query |
Whether to query against just live databases, just deleted databases, or all databases. |
||
|
only
|
query |
boolean |
Whether or not to only get the latest backup for each database. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get all long term retention backups under the managed instance.
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionManagedInstances/testInstance/longTermRetentionManagedInstanceBackups?api-version=2025-01-01
Sample response
{
"value": [
{
"name": "55555555-6666-7777-8888-999999999999;131637960820000000;Archive",
"type": "Microsoft.Sql/locations/longTermRetentionManagedInstances/longTermRetentionDatabases/longTermRetentionManagedInstanceBackups",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionManagedInstances/testInstance/longTermRetentionDatabases/testDatabase1/longTermRetentionManagedInstanceBackups/55555555-6666-7777-8888-999999999999;131637960820000000;Archive",
"properties": {
"backupStorageAccessTier": "Archive",
"backupStorageRedundancy": "Geo",
"backupTime": "2017-08-23T08:00:00Z",
"databaseDeletionTime": null,
"databaseName": "testDatabase1",
"managedInstanceCreateTime": "2017-03-10T08:00:00Z",
"managedInstanceName": "testInstance"
}
},
{
"name": "12341234-1234-1234-1234-123123123123;131657960820000000;Hot",
"type": "Microsoft.Sql/locations/longTermRetentionManagedInstances/longTermRetentionDatabases/longTermRetentionManagedInstanceBackups",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionManagedInstances/testInstance/longTermRetentionDatabases/testDatabase2/longTermRetentionManagedInstanceBackups/12341234-1234-1234-1234-123123123123;131657960820000000;Hot",
"properties": {
"backupStorageAccessTier": "Hot",
"backupStorageRedundancy": "Geo",
"backupTime": "2017-08-30T08:00:00Z",
"databaseDeletionTime": null,
"databaseName": "testDatabase2",
"managedInstanceCreateTime": "2017-03-10T08:00:00Z",
"managedInstanceName": "testInstance"
}
},
{
"name": "43214321-4321-4321-4321-321321321321;131667960820000000",
"type": "Microsoft.Sql/locations/longTermRetentionManagedInstances/longTermRetentionDatabases/longTermRetentionManagedInstanceBackups",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionManagedInstances/testInstance/longTermRetentionDatabases/testDatabase3/longTermRetentionManagedInstanceBackups/43214321-4321-4321-4321-321321321321;131677960820000000;Archive",
"properties": {
"backupStorageAccessTier": "Archive",
"backupStorageRedundancy": "Geo",
"backupTime": "2017-09-06T08:00:00Z",
"databaseDeletionTime": null,
"databaseName": "testDatabase3",
"managedInstanceCreateTime": "2017-03-10T08:00:00Z",
"managedInstanceName": "testInstance"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Backup |
The BackupStorageAccessTier for the LTR backup |
|
Backup |
The storage account type used to store backups for this database. |
|
created |
The type of identity that created the resource. |
|
Database |
|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Managed |
A long term retention backup for a managed database. |
|
Managed |
The response of a ManagedInstanceLongTermRetentionBackup list operation. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
BackupStorageAccessTier
The BackupStorageAccessTier for the LTR backup
| Value | Description |
|---|---|
| Hot |
Hot |
| Archive |
Archive |
BackupStorageRedundancy
The storage account type used to store backups for this database.
| Value | Description |
|---|---|
| Geo |
Geo |
| Local |
Local |
| Zone |
Zone |
| GeoZone |
GeoZone |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DatabaseState
| Value | Description |
|---|---|
| All |
All |
| Live |
Live |
| Deleted |
Deleted |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ManagedInstanceLongTermRetentionBackup
A long term retention backup for a managed database.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.backupExpirationTime |
string (date-time) |
The time the long term retention backup will expire. |
| properties.backupStorageAccessTier |
The BackupStorageAccessTier for the LTR backup |
|
| properties.backupStorageRedundancy |
The storage redundancy type of the backup |
|
| properties.backupTime |
string (date-time) |
The time the backup was taken |
| properties.databaseDeletionTime |
string (date-time) |
The delete time of the database |
| properties.databaseName |
string |
The name of the database the backup belong to |
| properties.managedInstanceCreateTime |
string (date-time) |
The create time of the instance. |
| properties.managedInstanceName |
string |
The managed instance that the backup database belongs to. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
ManagedInstanceLongTermRetentionBackupListResult
The response of a ManagedInstanceLongTermRetentionBackup list operation.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The ManagedInstanceLongTermRetentionBackup items on this page |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |